package com.ruoyi.zdsz.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.zdsz.domain.ZEngineeringCivil;
import com.ruoyi.zdsz.domain.bo.*;
import com.ruoyi.zdsz.domain.vo.*;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 民用工程Service接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface IZEngineeringCivilService {


    Map<String, List<?>> selectByDistrictStatistics(String district);
    /**
     * 查询民用工程
     */
    ZEngineeringCivilVo queryById(String id);
    ZEngineeringCivilVo query(String id,String type);
    ZEngineeringCivilVo queryProcess(Map<String,String> params);
    ZEngineeringCivilVo queryByEntityBo(ZEngineeringCivilBo zEngineeringCivilBo);

    /**
     * 查询民用工程列表
     */
    TableDataInfo<ZEngineeringCivilVo> queryPageList(ZEngineeringCivilBo bo, PageQuery pageQuery);
    List<ZEngineeringCivilVo> queryAllList(ZEngineeringCivilBo bo);
    List<ZEngineeringCivilExportVos> exportList(ZEngineeringCivilBo bo);
    List<ZEngineeringCivilExportVos> exportCcourtyardList(ZEngineeringCivilBo bo);
    List<ZEngineeringCivilExportVos> exportOverheadList(ZEngineeringCivilBo bo);
    List<ZEngineeringCivilExportVos> exportBottomLegList(ZEngineeringCivilBo bo);

    /**
     * 查询民用工程列表
     */
    List<ZEngineeringCivilVo> queryList(ZEngineeringCivilBo bo);

    /**
     * 新增民用工程
     */
    Boolean insertByBo(ZEngineeringCivilBo bo);

    /**
     * 修改民用工程
     */
    Boolean updateByBo(ZEngineeringCivilBo bo);

    /**
     * 校验并批量删除民用工程信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    int getCivilByAreaId(Collection<String> list);

    int getCivilByhouseId(Collection<String> list);
    List getObtainRoomcCompletionInformationList(ZEngineeringCivilBo bo);

    TableDataInfo<areaStatusVo> getAreaCompletionInformationList(ZEngineeringCivilBo bo,PageQuery po);
    List<areaStatusVo> getAreaCompletionInformationList2(ZEngineeringCivilBo bo);
    Map<String,Number> getsumStatus(ZEngineeringCivilBo bo);
    int   batchReview (ZEngineeringCivilBo bo, ZEngineeringNodeBo zEngineeringNodeBo);
    /**
     * 审核并保存图片至服务器文件夹
     * @param zEngineeringReviewBo
     * @return
     */
    int Civilinsert(ZEngineeringReviewBo zEngineeringReviewBo, infoIdList infoIdList);
    int insertReview(ZEngineeringReviewBo zEngineeringReviewBo, infoIdList infoIdList);

    /**
     * 根据工程id获取所有节点审核状态
     * @param Id
     * @return
     */
    List<ZEngineeringNodeBo> getRivewStatus(String Id);
    Boolean  batchNode(ZEngineeringCivilBo bo);

}
